<?php
include("dados.php")  ;
include("futura.php") ;

if(!isset($_GET["i"])){
	echo"Solicitacao Invalida!!";
	exit;
}
if(md5($_GET["pedido"])!=$_GET["hash"]){
	echo"Ops, dados invalidos 01!";
	exit;
}

$pedido_id			 = (int)$_GET["pedido"]		;
$exe				 = explode("|",$_GET["i"])	;
$var_repassar		 = $_GET["i"]				;
$cpf				 = $exe[0]					;
$telefone			 = $exe[1]					;
$hash				 = base64_decode($exe[2])	;
$epe				 = explode("|",$hash)		;
$num_parcelas   	 = (int)$epe[0]		;
$modo_parcelas  	 = $epe[1]					;
$total_a_pagar  	 = (float)$epe[2]			;
$bandeira       	 = base64_decode($epe[3])	;
$valor_original 	 = base64_decode($epe[4])	;
$hash_valor_original = $epe[5]				    ;

if(md5($valor_original)!=$hash_valor_original){
	echo"Ops, dados invalidos 02!";
	exit;
}
$afiliacao 	  = $config->get("FuturaKomerci_afiliacao") ;
$dados_cartao = CartaoFutura($bandeira,$modo_parcelas)  ;

if($dados_cartao["tp"]=="04"){
	$num_parcelas="00";
}

$num_parcelas = str_pad($num_parcelas,2,"0",STR_PAD_LEFT);
$cod_ver = _RedeCard_CodVer($afiliacao,$total_a_pagar,get_ip_redecard());

$query = $db->query("SELECT * FROM `order_komerci_form` WHERE pedidoId ='".$pedido_id."'");
if($query->num_rows==0){
	$sql = "INSERT `order_komerci_form` (`idUnico`, `pedidoId`, `numPar`, `tipoPar`, `meioPar`, `valPar`, `cpfCli`, `telCli`, `ipCli`, `codRet`, `binRet`) VALUES (NULL, '".$pedido_id."', '".$num_parcelas."', '".$dados_cartao["tp"]."', '".$dados_cartao["cc"]."', '".$total_a_pagar."', '".$cpf."', '".$telefone."', '".get_ip_redecard()."', '666', '');";
}else{
	$sql = "UPDATE `order_komerci_form` SET  `numPar` =  '".$num_parcelas."', `tipoPar` =  '".$dados_cartao["tp"]."', `meioPar` =  '".$dados_cartao["cc"]."', `valPar` =  '".$total_a_pagar."', `cpfCli` =  '".$cpf."', `telCli` =  '".$telefone."', `ipCli` =  '".get_ip_redecard()."' WHERE `pedidoId` ='".$pedido_id."';";
}
$db->query($sql);

?>
<html>
<head>
<title>Pagamento Online #<?php echo $pedido_id;?></title>
<link href="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.1/css/bootstrap-combined.min.css" rel="stylesheet">
</head>
<body>
<br><br><br>
<center>
<img src="images/aguarda.gif" border="0">
<h3>Aguarde o redirecionamento ao ambiente seguro...</h3>
<img src="images/<?php echo $dados_cartao['cc']?>.gif" border="0">
</center>

<form name="redecard" action="https://ecommerce.redecard.com.br/pos_virtual/form_card.asp" method="POST">
<input type="hidden" name="TOTAL" value="<?php echo number_format($total_a_pagar, 2, '.', '');?>" />
<input type="hidden" name="TRANSACAO" value="<?php echo $dados_cartao['tp']?>" />
<input type="hidden" name="PARCELAS" value="<?php echo $num_parcelas;?>" />
<input type="hidden" name="FILIACAO" value="<?php echo $afiliacao;?>" />
<input type="hidden" name="DISTRIBUIDOR" value="" />
<input type="hidden" name="BANDEIRA" value="<?php echo $dados_cartao['cc']?>" />
<input type="hidden" name="NUMPEDIDO" value="<?php echo $pedido_id;?>" />
<input type="hidden" name="PAX1" value="CPF: <?php echo $cpf;?>" />
<input type="hidden" name="PAX2" value="Tel: <?php echo $telefone;?>" />
<input type="hidden" name="CODVER" value="<?php echo $cod_ver;?>" />
<input type="hidden" name="URLBACK" value="<?php echo ReturnURLKomerciFutura(); ?>" />
<input type="hidden" name="URLCIMA" value="<?php echo $config->get('config_linkproducao_ssl') . '?route=common/header_komerci' ?>" />
<input type="hidden" name="TARGET" value="_parent" />
<input type="hidden" name="INIFRAME" value="N" />
<input type="hidden" name="LANGUAGE" value="POR" />
<?php if($config->get('futurakomerci_debug')==1){?>
<center>
<input type="submit" name="btn" value="Modo Debug (Enviar Manualmente)" /><br>
Para ver dados enviados clique com o lado direito em "Exibir codigo fonte da pagina".
</center>
<?php } ?>
</form>

<script type="text/JavaScript">
<?php if($config->get('futurakomerci_debug')==0){?>
<?php include("js_redir.php");?>
<?php } ?>
</script>
</p>
</center>

</div>
</body>
</html>
